﻿using EJGrid.Models;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.DataSources;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace EJGrid.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
 
            return View();
        }
        public ActionResult DataSource(DataManager dm)
        {
            var DataSource = new simpledbEntities2().Persons.ToList();
            DataResult result = new DataResult();
            DataOperations operation = new DataOperations();
            IEnumerable res = operation.Execute(DataSource, dm);
            result.result = res;
            result.count = DataSource.Count();
            if(dm.Select != null)
                return Json(res, JsonRequestBehavior.AllowGet);
            else
                return Json(result, JsonRequestBehavior.AllowGet);
        }
        public class DataResult
        {
            public IEnumerable result { get; set; }
            public int count { get; set; }
        }
        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}